' ***********************************************************************
' Assembly         : Ioc
' Author           : Tim Ford
' Created          : 10-02-2013
'
' Last Modified By : Tim Ford
' Last Modified On : 10-02-2013
' ***********************************************************************
' <copyright file="WrappedIOC.vb" company="Red Baron Solutions">
'     Red Baron Solutions. All rights reserved.
' </copyright>
' <summary></summary>
' ***********************************************************************
Imports System.ComponentModel
Imports System.Xml.Serialization

Namespace Ioc
    Friend Class WrappedIoc

        Public Sub New(isLocked As Boolean, iiIocObject As IIIocObject)
            m_IIIocObject = iiIocObject
            m_IsLocked = isLocked
        End Sub
        Public ReadOnly Property IsLocked() As Boolean
            Get
                Return m_IsLocked
            End Get
        End Property
        Private ReadOnly m_IsLocked As Boolean


        Public ReadOnly Property IIIocObject() As IIIocObject
            Get
                Return m_IIIocObject
            End Get
        End Property
        Private ReadOnly m_IIIocObject As IIIocObject


    End Class
End Namespace
